#### Description:

A RateMap is a Mapping which represents a single element of the Jacobian matrix of another Mapping. The Mapping for which the Jacobian is required is specified when the new RateMap is created, and is referred to as the `"` encapsulated Mapping`"` below.

The number of inputs to a RateMap is the same as the number of inputs to its encapsulated Mapping. The number of outputs from a RateMap is always one. This one output equals the rate of change of a specified output of the encapsulated Mapping with respect to a specified input of the encapsulated Mapping (the input and output to use are specified when the RateMap is created).

A RateMap which has not been inverted does not define an inverse transformation. If a RateMap has been inverted then it will define an inverse transformation but not a forward transformation.

#### Constructor Function

astRateMap

#### Inheritance

The RateMap class inherits from the Mapping class.

#### Attributes

The RateMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The RateMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory